org.bouncycastle.jce.spec

## Class ECPrivateKeySpec

- java.lang.Object
- - org.bouncycastle.jce.spec.ECKeySpec
  - - org.bouncycastle.jce.spec.ECPrivateKeySpec

All Implemented Interfaces:
  java.security.spec.KeySpec

    public class ECPrivateKeySpec
    extends ECKeySpec

Elliptic Curve private key specification.

### Constructor Summary

Constructors
Constructor and Description
`ECPrivateKeySpec(java.math.BigInteger d, ECParameterSpec spec)` base constructor

### Method Summary

Methods
`java.math.BigInteger` `getD()` return the private number D

### Methods inherited from class org.bouncycastle.jce.spec.ECKeySpec

`getParams`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ECPrivateKeySpec

    public ECPrivateKeySpec(java.math.BigInteger d,
                    ECParameterSpec spec)

base constructor

Parameters:
  `d` - the private number for the key.
  `spec` - the domain parameters for the curve being used.

### Method Detail

#### getD

    public java.math.BigInteger getD()

return the private number D